Nova falha de segurança pode comprometer sistemas operacionais Windows mais antigos



Atualizado em April 2024: Pare de receber mensagens de erro que tornam seu sistema mais lento, utilizando nossa ferramenta de otimização. Faça o download agora neste link aqui.
  1. Faça o download e instale a ferramenta de reparo aqui..
  2. Deixe o software escanear seu computador.
  3. A ferramenta irá então reparar seu computador.


A Microsoft foi alertada na segunda-feira para uma falha de segurança em versões mais antigas do Windows que, se explorada, poderia permitir que hackers executassem códigos maliciosos em computadores desavisados. A vulnerabilidade é causada ‘devido a um erro de limite na função UpdateFrameTitleForDocument() da classe CFrameWnd em mfc42.dll.

De acordo com Secunia, um computador pode ser explorado por hackers passando um argumento de string de título excessivamente longo para a função afetada que causará um estouro de buffer baseado em pilha.

Sistemas operacionais afetados confirmados pela Secunia são o Windows 2000 Professional SP4 que inclui o mfc42.dll versão 6.0.9586.0 e o Windows XP SP2/SP3 que incluem o mfc42.dll versão 6.2.4131.0, eles também notaram que outras versões também podem ser afetadas. Atualmente conhecido por apresentar vetores de ataque válidos é o PowerZip versão 7.2 Build 4010 (quando, por exemplo, entrando em um diretório muito longo em um arquivo aberto


A Microsoft anunciou através do Twitter da Microsoft Security Response Team que tinha sido alertada para a vulnerabilidade e que agora está investigando o problema.

Until Microsoft emite uma correção para isso a solução recomendada da Secunia é restringir o acesso a aplicações permitindo que a entrada controlada pelo usuário seja passada para a vulnerabilidade.



RECOMENDADO: Clique aqui para solucionar erros do Windows e otimizar o desempenho do sistema

Leave a Comment